package com.zy.bms.controller;

import com.zy.bms.common.ServerResponse;
import com.zy.bms.common.enums.ResponseCode;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 通用 Controller
 *
 * @author yang xiao kun
 * create on 2021/4/7
 */
@RestController
@RequestMapping("/bms/api/common")
public class CommonController {

    @RequestMapping("author.do")
    public ServerResponse author() {
        return ServerResponse.custom(ResponseCode.AUTHOR);
    }
}
