package com.zy.bms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 管理员表
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-03
 */
@Data
public class Admin implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 用户名(手机号)
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * 姓名
     */
    private String nickname;

    /**
     * 角色ID
     */
    private Integer roleId;

    /**
     * 0:停用 1:启用
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

}
