package com.zy.bms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * mqtt消息收发记录
 *
 * @author yang xiao kun
 * create on 2021/4/14
 */
@Data
@Builder
@TableName("logs")
public class Logs {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备ID
     */
    private String openNum;

    /**
     * 类型
     */
    private Integer type;

    /**
     * 发送内容
     */
    private String content;

    /**
     * 主题
     */
    private String topic;

    /**
     * 指令
     */
    private String m;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}
