package com.zy.bms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;
import java.io.Serializable;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 用户查看手机设备权限表
 *
 * @author chenyi
 * @since 2021-07-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class UserPrivilege implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 用户ID
     */
    private Integer userId;

    /**
     * 设备组ID
     */
    private String groupId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

}
