package com.zy.bms.entity.ubi;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * 普适性 - TCP链路设置
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
@Data
public class UbiTcp implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备公开码
     */
    private String openNum;

    /**
     * TCP链路
     */
    private Integer link;

    /**
     * 域名
     */
    private String host;

    /**
     * 端口
     */
    private String port;

    /**
     * 类型
     */
    private String type;

    /**
     * 连接状态 1:成功 0:失败
     */
    private Integer status;

    /**
     * 开关
     */
    private Integer onOff;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;


}
