package com.zy.bms.pojo.io;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 用户查询入参
 *
 * @author yang xiao kun
 * create on 2021/2/18
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class UserIO extends PageIO {
    /**
     * 昵称/用户名/手机号
     */
    private String key;

    /**
     * 性别 1:男 2:女
     */
    private Integer gender;

    /**
     * 状态 0:禁用 1:启用
     */
    private Integer status;

    /**
     * 项目
     */
    private Integer itemId;
}
