package com.zy.bms.pojo.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 普适性
 * 设备基础信息,状态信息Vo
 *
 * @author yang xiao kun
 * create on 2021/5/12
 */
@Data
public class UbiDeviceListVo {
    /**
     * 设备随机码
     */
    private String openNum;
    /**
     * 登录 MQTT 账号
     */
    private String username;

    /**
     * 登录 MQTT 密码
     */
    private String password;

    /**
     * 项目组
     */
    private String groupId;

    /**
     * SN码
     */
    private String sn;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 1在线，0离线
     */
    private Integer status;

    /**
     * 心跳包间隔,单位:秒
     */
    private Integer freq;

    /**
     * 电压
     */
    private Integer powerVolt;

    /**
     * 信号强度
     */
    private Integer signal4g;

    /**
     * 软件版本号
     */
    private String version;

    /**
     * 经度
     */
    private BigDecimal lon;

    /**
     * 纬度
     */
    private BigDecimal lat;

    /**
     * 经度(Gcj)
     */
    private BigDecimal lonGcj;

    /**
     * 纬度(Gcj)
     */
    private BigDecimal latGcj;

    /**
     * 卫星颗数
     */
    private Integer satNum;

    /**
     * 数据更新时间
     */
    private LocalDateTime updateTime;
}
