package com.zy.bms.service.lp;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zy.bms.entity.lp.LpInfoState;

/**
 * <p>
 * 设备-路牌 服务类
 * </p>
 *
 * @author chenyi
 * @since 2021-06-22
 */
public interface ILpInfoStateService extends IService<LpInfoState> {
    /**
     * 通过设备ID获取设备信息
     *
     * @param openNum 设备ID
     */
    LpInfoState getByOpenNum(String openNum);

}
