package com.zy.bms.pojo.io;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 设备查询入参
 *
 * @author yang xiao kun
 * create on 2021/2/18
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DeviceIO extends PageIO {

    /**
     * 设备码
     */
    private String openNum;

    /**
     * 设备状态
     */
    private Integer status;

    /**
     * 项目组
     */
    private String groupId;

    /**
     * 微信端
     * 用户ID
     */
    private Integer userId;
}
