package com.zy.bms.service.lp.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.zy.bms.entity.lp.LpInfoState;
import com.zy.bms.mapper.lp.LpInfoStateMapper;
import com.zy.bms.service.lp.ILpInfoStateService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 设备-路牌 服务实现类
 * </p>
 *
 * @author chenyi
 * @since 2021-06-22
 */
@Service
public class LpInfoStateServiceImpl extends ServiceImpl<LpInfoStateMapper, LpInfoState> implements ILpInfoStateService {

    @Override
    public LpInfoState getByOpenNum(String openNum) {
        return baseMapper.selectOne(new QueryWrapper<LpInfoState>().eq("open_num", openNum));
    }
}
